package entité;

import java.io.Serializable;
import java.util.*;
import javax.persistence.*;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
@Entity
@NamedQuery(name="toutes", query="SELECT personne FROM Personne AS personne ORDER BY personne.nom, personne.prénom")
public class Personne implements Serializable {
    @Id
    @GeneratedValue(strategy=GenerationType.AUTO)
    private long id;
    private String nom;
    private String prénom;
    private int âge;
    @ElementCollection(fetch=FetchType.EAGER)
    private List<String> telephones = new ArrayList<String>();

    public long getId() { return id;  }
    public void setId(long id) {  this.id = id;  }

    public String getNom() {  return nom;  }
    public void setNom(String nom) {  this.nom = nom;   }

    public String getPrénom() { return prénom;   }
    public void setPrénom(String prenom) {  this.prénom = prenom;   }

    public int getÂge() { return âge;   }
    public void setÂge(int âge) {  this.âge = âge;   }

    public void setTelephones(List<String> telephones) {  this.telephones = telephones;   }
    public List<String> getTelephones() {  return telephones;   }

    public Personne() {}

    public Personne(String nom, String prénom, int âge) {
        this.nom = nom;
        this.prénom = prénom;
        this.âge = âge;
    }
}
