package session;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.*;
import entité.Personne;

@Stateless
public class Gestion implements GestionRemote {
    @PersistenceContext
    private EntityManager stocker;

    public void nouveau(Personne personne) {
        stocker.persist(personne);
    }

    public void modifier(Personne personne) {
        stocker.merge(personne);
    }

    public List<Personne> listePersonnes() {
        return stocker.createNamedQuery("toutes").getResultList();
    }

    public Personne rechercher(long identification) {
        return stocker.find(Personne.class, identification);
    }

    public void supprimer(long identification) {
        stocker.remove(rechercher(identification));
    }
}
