package ws;

import entité.Personne;
import java.util.List;
import javax.jws.*;
import javax.ejb.*;
import session.GestionRemote;

@WebService()
@Stateless()
public class GestionPersonneWS {
    @EJB
    private GestionRemote ejbRef;

    @WebMethod(operationName = "nouveau")
    @Oneway
    public void nouveau(@WebParam(name = "personne") Personne personne) {
        ejbRef.nouveau(personne);
    }

    @WebMethod(operationName = "modifier")
    @Oneway
    public void modifier(@WebParam(name = "personne") Personne personne) {
        ejbRef.modifier(personne);
    }

    @WebMethod(operationName = "supprimer")
    @Oneway
    public void supprimer(@WebParam(name = "identification") long identification) {
        ejbRef.supprimer(identification);
    }

    @WebMethod(operationName = "listePersonnes")
    public List<Personne> listePersonnes() {
        return ejbRef.listePersonnes();
    }

    @WebMethod(operationName = "rechercher")
    public Personne rechercher(@WebParam(name = "identification") long identification) {
        return ejbRef.rechercher(identification);
    }
}
